Slow start-up after login in Intrepid - "gnome-wm.desktop failed to report before time-out"

Bug #292376 reported by Dalle1985 on 2008-11-01
This bug report is a duplicate of:  Bug #291467: Delayed Login. Edit Remove
90
This bug affects 11 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Undecided
Unassigned
xorg (Ubuntu)
Undecided
Unassigned

Bug Description

I am not sure if this is a duplicate, but I'm definitely not the only one experiencing this issue. After doing an update to Intrepid from Hardy, I am experiencing a pause of about 20 seconds from when I enter my login until I see my wallpaper and the welcome-tune plays and then an additional 5 seconds before Gnome is ready. There is a thread on ubuntuforums flagged as solved but I do not believe that is the case as the problem has not been resolved but simply temporarily fixed:

http://ubuntuforums.org/showthread.php?t=963800

The problem seems to be related to Compiz-Fusion because if I disable all effects the problem disappears, but I do not think this is a viable solution!
As I am a bit of a noob at Ubuntu, I am not sure what information you want in order to do some bug-fixing, but I have found a warning in the daemon.log which seems to be related to the issue:

Nov 1 22:55:01 morten-laptop x-session-manager[11297]: WARNING: Unable to find provider 'gnome-wm' of required component 'windowmanager'
Nov 1 22:55:11 morten-laptop x-session-manager[11297]: WARNING: Application 'gnome-wm.desktop' failed to register before timeout
Nov 1 22:55:21 morten-laptop x-session-manager[11297]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout

These warnings appear in the log just after I complete the login and the time seems to be the same as I am waiting for something to happen.

Again, if you need more information please tell me, I'll be happy to provide whatever you need, but as I said, I have no idea what that information would be!

My system is an Acer Aspire 5920G running a T7300 Core2Duo 2.0 GHz, a GeForce 8600 GS m (256 mb), 2 GB RAM and a 7200 RPM HDD, so I really doubt that the issue is due to the components.

I can confirm that this is also the case for 8.04 -> 8.10

Nov 2 11:02:13 Harmony-Ubuntu gnome-session[6391]: WARNING: Unable to find provider 'gnome-wm' of required component 'windowmanager'
Nov 2 11:02:24 Harmony-Ubuntu gnome-session[6391]: WARNING: Application 'gnome-wm.desktop' failed to register before timeout
Nov 2 11:02:34 Harmony-Ubuntu gnome-session[6391]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout

Sarath (prosarath) wrote :

Yp, me too...

Nov 2 03:30:26 sar-akshaya gdm[4993]: Error adding passphrase key token to user session keyring; rc = [-5]
Nov 2 03:30:26 sar-akshaya gdm[4946]: Sigfile not found
Nov 2 03:30:27 sar-akshaya pulseaudio[5162]: ltdl-bind-now.c: Failed to find original dlopen loader.
Nov 2 03:30:27 sar-akshaya pulseaudio[5169]: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
Nov 2 03:30:27 sar-akshaya pulseaudio[5169]: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
Nov 2 03:30:27 sar-akshaya x-session-manager[5070]: WARNING: Unable to find provider 'gnome-wm' of required component 'windowmanager'
Nov 2 03:30:37 sar-akshaya x-session-manager[5070]: WARNING: Application 'gnome-wm.desktop' failed to register before timeout
Nov 2 03:30:47 sar-akshaya x-session-manager[5070]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout
Nov 2 03:30:48 sar-akshaya pulseaudio[5169]: module-x11-xsmp.c: X11 session manager not running.
Nov 2 03:30:48 sar-akshaya pulseaudio[5169]: module.c: Failed to load module "module-x11-xsmp" (argument: ""): initialization failed.
Nov 2 03:30:49 sar-akshaya anacron[5413]: Anacron 2.3 started on 2008-11-02
Nov 2 03:30:49 sar-akshaya anacron[5413]: Normal exit (0 jobs run)
N

Sarath (prosarath) wrote :

Other charecteristics extremely small xorf.conf, high CPU (relatively) for xorg.conf

Section "Device"
 Identifier "Configured Video Device"
 Option "UseFBDev" "true"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

Jack Deslippe (jdeslip) wrote :

I can confirm this bug, too. Turning off compiz-fusion solves it (login reduced from 30 seconds to about 5. But, turning off compiz fusion is not really viable...

Jack Deslippe (jdeslip) wrote :

This is my xorg.conf (there were some other things that were commented out by update-manager because HAL is now used)

Section "Screen"
        Identifier "Default Screen"
        Device "Generic Video Card"
        Monitor "Generic Monitor"
        SubSection "Display"
                Depth 24
                Modes "nvidia-auto-select"
        EndSubSection
        Option "AddARGBGLXVisuals" "True"
        Defaultdepth 24
EndSection

Section "Device"
        Identifier "Generic Video Card"
        Driver "nvidia"
EndSection

Section "ServerLayout"
        # Uncomment if you have a wacom tablet
        # InputDevice "stylus" "SendCoreEvents"
        # InputDevice "cursor" "SendCoreEvents"
        # InputDevice "eraser" "SendCoreEvents"
        Identifier "Default Layout"
  screen "Default Screen" 0 0
# commented out by update-manager, HAL is now used
# Inputdevice "Generic Keyboard"
# commented out by update-manager, HAL is now used
# Inputdevice "Configured Mouse"
# commented out by update-manager, HAL is now used
# Inputdevice "Synaptics Touchpad"
EndSection

Section "Module"
        Load "glx"
EndSection

Section "Monitor"
        Identifier "Generic Monitor"
        Horizsync 30.0 - 70.0
        Vertrefresh 50.0 - 160.0
        Option "DPMS"
EndSection

Section "Extensions"
        Option "Composite" "Enable"
EndSection

mercutio22 (macabro22) wrote :

Yup. This is happening to me as well.

I also find some similar looking errors in .xsession-errors:

Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1920x1200) to maximum 3D texture size (8192): Passed.
Checking for Software Rasterizer: Not present.
Checking for nVidia: present.
Checking for FBConfig: present.
Checking for Xgl: not present.
/usr/bin/compiz.real (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
x-session-manager[5854]: WARNING: Application 'gnome-wm.desktop' failed to register before timeout
seahorse nautilus module initialized
Initializing nautilus-share extension

** (nautilus:6089): WARNING **: Unable to add monitor: Not supported
x-session-manager[5854]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout
Starting g15daemon:

Tracker version 0.6.6 Copyright (c) 2005-2007 by Jamie McCracken (<email address hidden>)

This program is free software and comes without any warranty.
It is licensed under version 2 or later of the General Public License which can be viewed at http://www.gnu.org/licenses/gpl.txt

Initialising tracker...
starting HAL detection for ac adaptors...found /org/freedesktop/Hal/devices/computer_power_supply_ac_adapter_AC
Throttle level is 5
Failure: Module initalization failed

  Attribute 'InitialPixmapPlacement' (GlaDOS:0.0) assigned value 2.

  Attribute 'GlyphCache' (GlaDOS:0.0) assigned value 1.

evolution-alarm-notify-Message: Setting timeout for 77338 1225764000 1225686662
evolution-alarm-notify-Message: Tue Nov 4 00:00:00 2008

evolution-alarm-notify-Message: Mon Nov 3 02:31:02 2008

Nautilus-Share-Message: Called "net usershare info" but it failed: 'net usershare' returned error 255: net usershare: cannot open usershare directory /var/lib/samba/usershares. Error No such file or directory
Please ask your system administrator to enable user sharing.

e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-google'

(gnome-panel:6087): Gdk-WARNING **: /build/buildd/gtk+2.0-2.14.4/gdk/x11/gdkdrawable-x11.c:878 drawable is not a pixmap or window
(END)

Sarath (prosarath) wrote :

there are two OTHER suspiciuos log entries in syslog:

WARNING: gdm_slave_xioerror_handler: Fatal X error - Restarting :0

and

Nov 2 13:02:27 sar-akshaya kernel: [ 6185.471607] compiz.real[5767]: segfault at 2b0021 ip 08055c8c sp bf9ad770 error 4 in compiz.real[8048000+34000]
Nov 2 13:02:28 sar-akshaya gdm[5326]: Sigfile not found

any pointers??

Jack Deslippe (jdeslip) wrote :

I have errors like that - but not everytime I log in. My syslog for a typical login looks like:

Nov 3 15:58:10 jdeslip-lappy pulseaudio[20541]: ltdl-bind-now.c: Failed to find original dlopen loader.
Nov 3 15:58:10 jdeslip-lappy pulseaudio[20551]: pid.c: Stale PID file, overwriting.
Nov 3 15:58:10 jdeslip-lappy pulseaudio[20551]: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
Nov 3 15:58:10 jdeslip-lappy pulseaudio[20551]: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
Nov 3 15:58:21 jdeslip-lappy x-session-manager[20452]: WARNING: Application 'gnome-wm.desktop' failed to register before timeout
Nov 3 15:58:21 jdeslip-lappy pulseaudio[20551]: module-x11-xsmp.c: X11 session manager not running.
Nov 3 15:58:21 jdeslip-lappy pulseaudio[20551]: module.c: Failed to load module "module-x11-xsmp" (argument: ""): initialization failed.
Nov 3 15:58:23 jdeslip-lappy anacron[20859]: Anacron 2.3 started on 2008-11-03
Nov 3 15:58:23 jdeslip-lappy anacron[20859]: Normal exit (0 jobs run)
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.053533] CPU0 attaching NULL sched-domain.
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.053543] CPU1 attaching NULL sched-domain.
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.075110] CPU0 attaching sched-domain:
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.075118] domain 0: span 0-1 level MC
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.075120] groups: 0 1
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.075126] CPU1 attaching sched-domain:
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.075127] domain 0: span 0-1 level MC
Nov 3 15:58:24 jdeslip-lappy kernel: [ 9418.075130] groups: 1 0

I think the gnome-wm and preceeding lines may be the problem?

Jack Deslippe (jdeslip) wrote :

I am not sure why you guys are so confident this is not a compiz bug - since it is resolved by turning off compiz. Shouldn't we at least notify the compiz team?

dstrz (pdiggma) wrote :

Hi,

i have the same problem and also the same messages in my log.

Is it possible that this bug appears only with the nvidia-driver?
It seems, most of the people who made a post, are using a nvidia driver.

huiii (a00ps) wrote :

hello, confirming,

in system log ia have this message aswell,
 gnome-session[22505]: WARNING: Unable to find provider 'gnome-wm' of required component 'windowmanager'

i do not knw if this is related to gconf2 pushing CPU up to 20%?

ubuntu intrepid, nvidia 8400m gt.

huiii (a00ps) wrote :

the following did the trick:

i wrote a delay-script for starting up compiz. delayed for 10sec.
since than gconf2 is quiet, behaving nomal.

1)
system>preferences>appearance>visual effects> set to "none"

2)
open terminal and do:

$ sudo gedit /home/where/ever/compizdelay.sh

paste this text and save:

#!/bin/bash
  sleep 10
  compiz --loose-binding --replace &
  emerald --replace &
exit 0

3)
now we need to make it executable:
$ sudo chmod +x /home/where/ever/compizdelay.sh

4)
and then under
system>preferences>sessions> press "add" and browse to where that new script is.

test and reboot and voila, works,,,
if not try to play with the "sleep ..." setting in the script, perhaps on your maschine it needs to sleep longer

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers